Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class LocationParameterBase

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.LocationParameterBase

All Implemented Interfaces:
  Manageable, Shareable

    public class LocationParameterBase

extends ShareableBase

Nested Class Summary
`static class` | `LocationParameterBase.Type`

Field Summary
`static LocationParameterBase.Type` | `$TYPE`
`static SCOType.Field` | `aktLocationParameter$FIELD`
`static SCOType.Field` | `deltaLocationParameter1$FIELD`
`static SCOType.Field` | `deltaLocationParameter2$FIELD`
`static SCOType.Field` | `deltaLocationParameter3$FIELD`
`static SCOType.Field` | `setLocationParameter1$FIELD`
`static SCOType.Field` | `setLocationParameter2$FIELD`
`static SCOType.Field` | `setLocationParameter3$FIELD`

Constructor Summary
`LocationParameterBase()`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`java.lang.String` | `getAktLocationParameter()`
`float` | `getDeltaLocationParameter1()`
`float` | `getDeltaLocationParameter2()`
`float` | `getDeltaLocationParameter3()`
`ManageableType` | `getManageableType()`
`java.lang.String` | `getSetLocationParameter1()`
`java.lang.String` | `getSetLocationParameter2()`
`java.lang.String` | `getSetLocationParameter3()`
`void` | `setAktLocationParameter(java.lang.String value)`
`void` | `setDeltaLocationParameter1(float value)`
`void` | `setDeltaLocationParameter2(float value)`
`void` | `setDeltaLocationParameter3(float value)`
`Tuple3f` | `setLocationParameter(Tuple3f oldLocationParameterValues)`
`void` | `setSetLocationParameter1(java.lang.String value)`
`void` | `setSetLocationParameter2(java.lang.String value)`
`void` | `setSetLocationParameter3(java.lang.String value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final LocationParameterBase.Type $TYPE

### aktLocationParameter$FIELD

    public static final SCOType.Field aktLocationParameter$FIELD

### deltaLocationParameter1$FIELD

    public static final SCOType.Field deltaLocationParameter1$FIELD

### deltaLocationParameter2$FIELD

    public static final SCOType.Field deltaLocationParameter2$FIELD

### deltaLocationParameter3$FIELD

    public static final SCOType.Field deltaLocationParameter3$FIELD

### setLocationParameter1$FIELD

    public static final SCOType.Field setLocationParameter1$FIELD

### setLocationParameter2$FIELD

    public static final SCOType.Field setLocationParameter2$FIELD

### setLocationParameter3$FIELD

    public static final SCOType.Field setLocationParameter3$FIELD

Constructor Detail

### LocationParameterBase

    public LocationParameterBase()

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `ShareableBase`

### getAktLocationParameter

    public java.lang.String getAktLocationParameter()

### getDeltaLocationParameter1

    public float getDeltaLocationParameter1()

### getDeltaLocationParameter2

    public float getDeltaLocationParameter2()

### getDeltaLocationParameter3

    public float getDeltaLocationParameter3()

### getManageableType

    public ManageableType getManageableType()

### getSetLocationParameter1

    public java.lang.String getSetLocationParameter1()

### getSetLocationParameter2

    public java.lang.String getSetLocationParameter2()

### getSetLocationParameter3

    public java.lang.String getSetLocationParameter3()

### setAktLocationParameter

    public void setAktLocationParameter(java.lang.String value)

### setDeltaLocationParameter1

    public void setDeltaLocationParameter1(float value)

### setDeltaLocationParameter2

    public void setDeltaLocationParameter2(float value)

### setDeltaLocationParameter3

    public void setDeltaLocationParameter3(float value)

### setLocationParameter

    public Tuple3f setLocationParameter(Tuple3f oldLocationParameterValues)

### setSetLocationParameter1

    public void setSetLocationParameter1(java.lang.String value)

### setSetLocationParameter2

    public void setSetLocationParameter2(java.lang.String value)

### setSetLocationParameter3

    public void setSetLocationParameter3(java.lang.String value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD